java-gnome (4.1.3-10ubuntu1) resolute; urgency=medium

  * d/p/incompatible-pointer-types.patch: Fix FTBFS due to incompatbile
    pointer types (LP: #2148819).

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Mon, 20 Apr 2026 11:45:33 +0200

java-gnome (4.1.3-10build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:26:45 +0000

java-gnome (4.1.3-10build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:54:03 +0000

java-gnome (4.1.3-10build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:12:19 +0000

java-gnome (4.1.3-10build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 16:58:06 +0000

java-gnome (4.1.3-10) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with OpenJDK 17 (Closes: #981952)
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 08 Feb 2021 10:23:03 +0100

java-gnome (4.1.3-9) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3 and update python patch (Closes: #967152)

 -- tony mancill <tmancill@debian.org>  Tue, 04 Aug 2020 22:49:34 -0700

java-gnome (4.1.3-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Migrate from enchant 1 to enchant-2 (Closes: #951271)

 -- Paul Wise <pabs@debian.org>  Wed, 08 Jul 2020 00:01:41 +0800

java-gnome (4.1.3-8) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 10 (Closes: #898221)
  * Standards-Version updated to 4.1.4
  * Use salsa.debian.org Vcs-* URLs
  * Removed the duplicate Section field in debian/control

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 May 2018 16:02:36 +0200

java-gnome (4.1.3-7) unstable; urgency=medium

  * Team upload.
  * No longer generate the -java-doc package (Closes: #875576)
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 07 Mar 2018 22:57:42 +0100

java-gnome (4.1.3-6) unstable; urgency=medium

  * Team upload.
  * Skip the verification of the Java runtime (Closes: #851839)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 25 Jan 2017 10:14:14 +0100

java-gnome (4.1.3-5) unstable; urgency=medium

  * Team upload.
  * Build with the DH sequencer instead of CDBS (Closes: #849669)
  * Use dbus-run-session instead of dbus-launch to run metacity
    and depend on dbus (>= 1.8) instead of dbus-x11 (Closes: #836100)
  * Disabled parallel building (Closes: #779344)
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Jan 2017 12:05:43 +0100

java-gnome (4.1.3-4) unstable; urgency=medium

  * Team upload.

  [ Guillaume Mazoyer ]
  * debian/rules
    - Set CFLAGS and LDFLAGS variables according to the Debian standards.
    - Add -ffunction-sections to CFLAGS for hppa.
    - Set V=1 to build in verbose mode so the compiler flags are not hidden.
  * Properly use debhelper 9.

  [ tony mancill ]
  * Add patch for configure script on ppc64el.  (Closes: #767322)
    - Note that patch only enables for binary (-B) builds.
  * Disable GLIB deprecation warnings during test phase by setting
    G_ENABLE_DIAGNOSTIC=0.  This was causing build failures.
    (Closes: #789851)
  * Bump Standards-Version to 3.9.6.

 -- tony mancill <tmancill@debian.org>  Sat, 11 Jul 2015 19:09:25 -0700

java-gnome (4.1.3-3) unstable; urgency=medium

  * Team upload.
  * Use DEB_INDEP_PACKAGES so the -doc and -java packages are not built
    on all archs.  (Closes: #760888)
  * Change section from "libs" to "java" for libjava-gnome-jni to resolve
    override disparity.
  * Migrate the packaging repo from svn to git.

 -- tony mancill <tmancill@debian.org>  Tue, 09 Sep 2014 21:29:03 -0700

java-gnome (4.1.3-2) unstable; urgency=medium

  * Team upload.
  * Rename existing Portuguese transation as Brazilian (pt_BR)
    and replace existing Portuguese translation.  (Closes: #759039)
    - Thank you to Américo Monteiro for the translation.
  * Update Vcs URLs.
  * Refresh patches.

 -- tony mancill <tmancill@debian.org>  Tue, 26 Aug 2014 10:10:30 -0700

java-gnome (4.1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Remove libunique dependency.
    - Remove DM-Upload-Allowed field.
    - Add dbus-x11 dependency to take doc screenshots.
    - Update Standards-Version to 3.9.4.
  * debian/README.Maintainer
    - Add instructions for maintainers.
  * debian/libjava-gnome-java.docs
    - Update documentation filenames.
  * debian/libjava-gnome-java-doc.install
    - Fix HACKING file installation.
  * debian/patches/02_unique_dependency.diff
    - Remove no longer needed patch (fixed upstream).
  * debian/patches/02_build_python.diff
    - Add patch to fix build process (python2 env variable not found).
  * debian/patches/03_build_doc_snapshots.diff (Closes: #748565)
    - Add patch to fix build process of the documentation (accessibilty bug).

 -- Guillaume Mazoyer <respawneral@gmail.com>  Mon, 19 May 2014 17:39:50 +0200

java-gnome (4.1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump GTK required version to 3.4.
    - Remove useless quilt dependency.
    - Update descriptions to fix lintian warnings.
  * debian/patches/02_java7_compat.diff
    - Remove no longer needed patch (fixed upstream).
  * debian/patches/02_unique_dependency.diff
    - Add patch to fix the libunique dependency.
  * debian/watch
    - Upstream provides only .xz tarballs.
  * debian/copyright
    - Use new format.
    - Update file copyright.

 -- Guillaume Mazoyer <respawneral@gmail.com>  Thu, 30 Aug 2012 15:51:50 +0200

java-gnome (4.1.1-4) unstable; urgency=low

  * Team upload.
  * Pull Java7 compatibility patch from Fedora.

 -- Niels Thykier <niels@thykier.net>  Mon, 18 Jun 2012 22:41:02 +0200

java-gnome (4.1.1-3) unstable; urgency=low

  * Team upload.
  * Add python to build-dep to address FTBFS. (Closes: #676073)
  * Bump Standards-Version to 3.9.3 (no changes).

 -- tony mancill <tmancill@debian.org>  Mon, 04 Jun 2012 21:14:40 -0700

java-gnome (4.1.1-2) unstable; urgency=low

  * Team upload
  * Upload in unstable to fix the transition to libnotify (Closes: #630285)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Aug 2011 16:38:43 +0200

java-gnome (4.1.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/02_javadoc_workaround.patch
    - Remove useless patch (fixed upstream)
  * debian/patches/03_libnotify_0_7.patch
    - Remove useless patch (fixed upstream)
  * debian/control:
    - Update dependencies list according to the upstream configure file.
    - Fix description-synopsis-starts-with-article
    - Fix needless-dependency-on-jre
    - Bump Standards-Version to 3.9.2

 -- Guillaume Mazoyer <respawneral@gmail.com>  Thu, 28 Jul 2011 21:07:13 +0200

java-gnome (4.0.19-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/02_javadoc_workaround.patch
    - Fix javadoc generation.
  * debian/patches/03_libnotify_0_7.patch
    - Fix binding compilation with libnotify 0.7.
  * debian/control:
    - Update dependencies list according to the upstream configure file.

 -- Guillaume Mazoyer <respawneral@gmail.com>  Wed, 23 Feb 2011 17:29:16 +0100

java-gnome (4.0.18-1) experimental; urgency=low

  * New upstream release (Closes: #588943).
  * Update copyright.
  * debian/patches/01_take_screenshots.diff
    - Use dbus-launch to start metacity.
  * debian/control
    - Add libglib2.0-dev (>= 2.22) dependency.
    - Add libcairo2-dev (>= 1.10) dependency.
    - Add librsvg2-dev dependency.
    - Add libatk1.0-dev dependency.
    - Bump GTK+ build dependency version as per upstream.
    - Make sure the installed JNI package is always compatible with the package
      which provides the JAR.
    - libjava-gnome-java does not need to depends on a JRE.
    - Bumped Standards-Version to 3.9.1.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 16 Jan 2011 09:44:09 +0100

java-gnome (4.0.15-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Change maintainers into Maintainers.
  * Remove Thomas from Uploaders.
  * Switch to source format 3.0.
  * Update Standards-Version: 3.8.4.

 -- Torsten Werner <twerner@debian.org>  Sun, 11 Apr 2010 21:28:43 +0200

java-gnome (4.0.14-2) unstable; urgency=low

  * debian/patches/01_take_screenshots.diff
    - Disable the file chooser dialog again as it still causes FTBFS on buildd.
      (Closes: #564494)
  * debian/rules
    - Add verbosity to build log if architecture is hppa. This will help us
      track down cause of FTBFS on hppa.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Sat, 16 Jan 2010 19:19:07 +0530

java-gnome (4.0.14-1) unstable; urgency=low

  * New upstream release.
  * debian/rules
    - Add compiler flag -ffunction-sections if the architecture is hppa. Fixes
      FTBFS on hppa. (Closes: #558999)
  * debian/patches/01_take_screenshots.diff
    - Revert the commenting of the code that launches file chooser dialog.
      Not needed anymore as the glib bug that caused the FTBFS is fixed.
  * debian/copyright
    - Rewrite file according to DEP-5. Clarify licensing of some files which
      are not part of the runtime.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Mon, 28 Dec 2009 15:50:27 +0530

java-gnome (4.0.13-3) unstable; urgency=low

  * debian/rules
    - Do not build docs on anything other than i386, amd64, powerpc.
      Fixes FTBFS on Debian as well as Ubuntu buildd.
  * debian/control
    - Add 'DM-Upload-Allowed: yes' so that I can upload the package when I
      become DM. :-)

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Mon, 21 Sep 2009 20:06:40 +0530

java-gnome (4.0.13-2) unstable; urgency=low

  * debian/patches/01_take_screenshots.diff
    - Comment out the code that launches file chooser dialog. It caused build
      failure on buildd. (Closes: #546313)

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Thu, 17 Sep 2009 23:24:56 +0530

java-gnome (4.0.13-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Add cdbs build-dependency.
    - Bump GTK+ build dependency version as per upstream.
    - Add build dependencies xvfb, xfonts-base, metacity, hicolor-icon-theme.
      These are needed for screenshot generation during build.
    - Add a -doc package which contains API documentation. (LP: #309023)
    - Remove ${shlibs:Depends} dependency for -java package.
    - Add myself to uploaders.
    - Change standard version to 3.8.3.
  * debian/rules
    - Rewrite to build using cdbs. The file is simplified and very small now.
    - Add configure argument specifying jni directory.
  * debian/libjava-gnome-*.install
    - Add files to use with cdbs.
  * debian/patches/01_change_jni_library_location.diff
    - Removed. Not needed anymore.
  * debian/patches/01_take_screenshots.diff
    - Small changes to upstream code that takes screenshots during build
      process. The patch makes sure the process works inside pbuilder chroot.
  * debian/README.source
    - Add to comply with policy.
  * debian/watch
    - Make regular expression more compact.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Mon, 07 Sep 2009 12:29:11 +0530

java-gnome (4.0.12-1) unstable; urgency=low

  [ Manu Mahajan ]
  * Update to latest upstream release 4.0.12 (LP: #380446)
  * Split the binary package into two separate packages for java and jni files

  [ Onkar Shinde ]
  * debian/control
    - Add various build dependencies as specified in configure file in upstream
      source.
    - Remove build dependency default-jdk-builddep. We do not build any -gcj
      package.
    - Add default-jre | java5-runtime as dependency since the target JVM
      version is 1.5.
  * debian/rules
    - Remove the hard coded version of jni .so file.

  [ Torsten Werner ]
  * Change Section: java.
  * Add get-orig-source target to debian/rules.
  * Minor fix in debian/copyright: do not refer to unversioned GPL file.

 -- Torsten Werner <twerner@debian.org>  Thu, 20 Aug 2009 20:22:27 +0200

java-gnome (4.0.9-2) unstable; urgency=low

  [ Manu Mahajan ]
  * Merged changes from Ubuntu package(4.0.9-1) courtesy of Hannes Wallnoefer

 -- Manu Mahajan <manu@codepencil.com>  Sat, 20 Dec 2008 22:45:00 +0530

java-gnome (4.0.9-1) unstable; urgency=low

  [ Hannes Wallnoefer ]
  * New upstream release 4.0.9
  * Remove Cairo export patch, bug has been fixed upstream
    (Gnome bug #528282)

 -- Hannes Wallnoefer <hannes@helma.at>  Wed, 03 Dec 2008 23:49:59 +0100

java-gnome (4.0.7-1) unstable; urgency=low

  [ Manu Mahajan ]
  * Upgraded to upstream version 4.0.7
  * Changed build dependency from java-gcj-compat-dev to default-jdk-builddep
    Closes: #477867

  [ Thomas Girard ]
  * Switch to quilt for patch management
  * Add Vcs-*: fields to debian/control
  * Add Homepage: field to debian/control
  * Apply patch to prevent export of Cairo backend functions. Thanks to
    Loïc Minier for his invaluable help on this FTBFS bug. Closes: #476295
  * Remove markdown section from debian/copyright; it's no longer distributed
    in the tarball.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sat, 10 May 2008 13:57:29 +0000

java-gnome (4.0.6-1) unstable; urgency=low

  [ Manu Mahajan ]
  * Initial release, Closes: Bug#467442
  * Changed location of libgtkjni from usr/lib to usr/lib/jni
  * Tweaked the MakeFile to build with java-gcj-compat-dev

  [ Thomas Girard ]
  * Backport changeset 449: "Remove 15 warnings related to sentinels"

 -- Manu Mahajan <manu@codepencil.com>  Mon, 24 Mar 2008 01:01:11 +0530
